package main

import (
	"context"
	"fmt"
	"log"
	"github.com/jackc/pgx/pgxpool"
)

func getDbPool() *pgxpool.Pool {
	// Setup Database
	dbURI := fmt.Sprintf("postgres://%s:%s@%s:%d/fedilogue", settings.Database.Username, settings.Database.Password, settings.Database.Host, settings.Database.Port)
	pool, err := pgxpool.Connect(context.Background(), dbURI)
	if err != nil {
		log.Fatal("Unable to connect to database:", err)
	}
	return pool
}
